Description

Checking through blogs, Fair Access Policy and Support center to check where we stand and the actual limitations.

It uses LoRaWAN networks (need to understand what they actually are)

You might want to refer to the following links:

https://www.thethingsnetwork.org/support

https://www.thethingsnetwork.org/community

https://www.thethingsnetwork.org/forum/t/limitations-data-rate-packet-size-30-sec-up-and-10-messages-down-p-d-fair-access/1300

(Very helpful)

https://www.thethingsindustries.com/

https://www.thethingsnetwork.org/docs/lorawan/duty-cycle.html (Duty Cycle for lorawan devices)

History

#1 - 13/05/2019 16:03 - Debojyoti Mallick

https://www.thethingsnetwork.org/docs/lorawan/limitations.html (Limitations of LoRaWAN)

#2 - 13/05/2019 16:56 - Debojyoti Mallick

Some questions asked by users on their Support blog

Dec '18

Are there any limitations for downlink message for normal users at longer distance?

The limitations are not related to the distance. However, if to get the longer distance you’re using a lower data rate (a longer time on air for the same

number of bytes) then you’re obviously using more of the limits for each transmission.

Is Fair Access Policy is applicable to the normal user?

Yes, on the public (free) The Things Network is applies to all users (per node). However, it’s not yet enforced, so any problems you’re seeing are not

related to this policy. It could be that the gateway is busy though, but then you’d get an error saying “no gateways available for downlink”.

If it is applicable, then it’s accessing limitation period is for a day or a month?

When enforced in the future, it will likely be per 24 hours. So it might very well be some sliding window, unrelated to a calendar day. If you use all the

limits right now, then you cannot use anything for the next 24 hours, regardless in which time zone you’re operating.

Again, your problems are not related to the Fair Access Policy. But you’re definitely exceeding the limits. A downlink every 10 minutes is really, really,

not nice. That’s 144 per 24 hours, during which the gateway that’s transmitting those cannot listen to any uplinks. The same applies to confirmed

uplinks. So, you’ll need to rethink your use case.
#3 - 13/05/2019 17:07 - Debojyoti Mallick

FAIR ACCESS POLICY

Fair Access Policy: On The Things Network’s public community network we have transmission guidelines to make sure that our resources can be

shared in a fair way between community members. Any production end device should respect TTN’s fair access policy, which means limiting

consumption to 30 seconds of uplink airtime per day, and to 10 downlink messages per day. For development purposes it may be acceptable to

exceed the fair access policy. If your production devices need to transmit or receive more, a private network is likely more suitable for you (we can

help you with that 2).

On private networks running The Things Network Stack, the fair access policy does not apply, but the duty cycle limitations are imposed by law for a

specific region (Europe) and always apply.

#4 - 14/05/2019 10:42 - Debojyoti Mallick

- % Done changed from 0 to 20

#5 - 14/05/2019 11:56 - Philippe May

Loosely related: many projects about a LaRo to IP gateway (LaRoWan) are documented on the Internet.

Just an example: http://linuxgizmos.com/linux-driven-lorawan-gateway-ships-with-new-wzzard-lora-nodes/. It shows that a simple RasperryPi with

extension board can access the radio layer and forward radio packets to an IP link.

#6 - 15/05/2019 14:38 - Debojyoti Mallick

Issues discussed in today's meeting:

Need for dependency on the Things Network

Device discrepancies were discussed

The potential use of the free frequency range was discussed

Discussed the use of an additional Gateway with RaspberryPi.

Discussed potential collaboration options with the Department of Geomatics and Talam.

#7 - 15/05/2019 14:39 - Debojyoti Mallick

- % Done changed from 20 to 50

#8 - 27/05/2019 10:28 - Debojyoti Mallick

- Status changed from New to Resolved

- % Done changed from 50 to 100

Debojyoti Mallick wrote:

Issues discussed in today's meeting:

Need for dependency on the Things Network

Device discrepancies were discussed
The potential use of the free frequency range was discussed

Discussed the use of an additional Gateway with RaspberryPi.

Discussed potential collaboration options with the Department of Geomatics and Talam.

 

Thanks to Philippe a code to display live well levels has been deployed and works fine on the AVGeomatics Web GIS Interface. Data is stored in the

GISAF database which can be accessed by the admin.

Just waiting for Talam to resolve issues with the devices at their end so that we can have actual data displayed on the map for the wells proposed to

be measured.
